Package org.opensaml.xmlsec.criterion

# Class KeyInfoGenerationProfileCriterion

java.lang.Object
org.opensaml.xmlsec.criterion.KeyInfoGenerationProfileCriterion

All Implemented Interfaces:
  `Criterion`

public final class KeyInfoGenerationProfileCriterion extends Object implements Criterion
`Criterion` representing an a KeyInfo generation "profile" name used when looking up a `KeyInfoGeneratorManager` from a `NamedKeyInfoGeneratorManager`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`name`
The KeyInfo generation "profile" name.

## Constructor Summary

Constructors
Constructor
Description
`KeyInfoGenerationProfileCriterion(String profileName)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getName()`
Gets the KeyInfo generation "profile" name.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### name

@Nonnull @NotEmpty private final String name
The KeyInfo generation "profile" name.

## Constructor Details

### KeyInfoGenerationProfileCriterion

public KeyInfoGenerationProfileCriterion(@Nonnull @NotEmpty String profileName)
Constructor.

Parameters:
  `profileName` - the name, can not be null or empty

## Method Details

### getName

@Nonnull @NotEmpty public String getName()
Gets the KeyInfo generation "profile" name.

Returns:
  the name, never null or empty

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`